HaruPage::getTextMatrix
HaruPage::getTextRise
HaruPage
PHP Manual

# HaruPage::getTextRenderingMode

Get the current text rendering mode

### Description

int HaruPage::getTextRenderingMode ( void )

Get the current text rendering mode.

### Parameters

This function has no parameters.

### Return Values

Returns the current text rendering mode. The result value is one of the following:

- `HaruPage::FILL`
- `HaruPage::STROKE`
- `HaruPage::FILL_THEN_STROKE`
- `HaruPage::INVISIBLE`
- `HaruPage::FILL_CLIPPING`
- `HaruPage::STROKE_CLIPPING`
- `HaruPage::FILL_STROKE_CLIPPING`
- `HaruPage::CLIPPING`

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::setTextRenderingMode